<form action="{% url 'delete_post' thread.pk post.pk %}" method="post"> {% csrf_token %}
    <div id="del-post-{{ post.pk }}-modal" class="modal fade del-post-modal" tabindex="-1">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content" >
                <div class="modal-header">
                     <h3 class="primary-text-color">Confirm delete</h3>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body text-center p-5">
                    <h5>Are you sure you want to delete this post?</h5>
                </div>
                <div class="modal-footer d-flex justify-content-between">
                    <button type="submit" class="btn btn-primary">
                        {% if page_obj.object_list|length_is:"1" %}
                            <input type="hidden" name="page" value="{{ page_obj.previous_page_number }}">
                        {% else %}
                            <input type="hidden" name="page" value="{{ page_obj.number }}">
                        {% endif %}
                        YES
                    </button>
                    <button type="button" data-bs-dismiss="modal" class="btn btn-primary">NO</button>
                </div>
            </div>
        </div>
    </div>
</form>